<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">

    <meta name="google-signin-client_id" content="879341986668-6tqjuv1c80k65ov780seicu173s1tobr.apps.googleusercontent.com">

    <title>Google SignIn-Demo</title>

</head>
<body>

    <div class="g-signin2" data-onsuccess="onSignIn"></div>

    <a href="#" onclick="signOut();"> Sign out </a>
    
    


    <script src="https://apis.google.com/js/platform.js" async defer></script>

    <script>
        function signOut(){
            var auth2 = gapi.auth2.getAuthInstance();
            auth2.signOut().then(function(){
                console.log('User singed out');
                
            });
        }
    </script>

    <script>
        function onSignIn(googleUser) {
            var profile = googleUser.getBasicProfile();
            console.log('ID: ' + profile.getId()); // Do not send to your backend! Use an ID token instead.
            console.log('Name: ' + profile.getName());
            console.log('Image URL: ' + profile.getImageUrl());
            console.log('Email: ' + profile.getEmail()); // This is null if the 'email' scope is not present.

            var id_token = googleUser.getAuthResponse().id_token;
            console.log('Token: ', id_token);
            
        }

    </script>

</body>
</html>